Package com.sun.jna.platform.win32

# Class User32Util.MessageLoopThread.Handler

java.lang.Object
com.sun.jna.platform.win32.User32Util.MessageLoopThread.Handler

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  User32Util.MessageLoopThread

public class User32Util.MessageLoopThread.Handler extends Object implements InvocationHandler

## Constructor Summary

Constructors
Constructor
Description
`Handler(Object delegate)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Handler

public Handler(Object delegate)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`